RELOCATE_BY_ID(8)

NAME
relocate_by_id - Cyrus IMAP documentation

Relocate mailbox trees by their mailbox ids

SYNOPSIS

            relocate_by_id [ -C config-file ] [ -n ] [ -q ] [ -u ] [ mailbox-names... ]

DESCRIPTION

Given a mailbox name or a space separated list of mailbox names, relocate_by_id relocates the mailbox and its submailboxes to directory trees hashed by mailbox id rather than hashed by mailbox name.

relocate_by_id reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C. It uses <configdirectory>/mailboxes.db to locate the mailboxes on disk.

OPTIONS

    -C config-file
        Use the specified configuration file config-file rather than the default imapd.conf(5).

    -n, --dry-run
        Do NOT make any changes. Just list which directories will be relocated.

    -q, --quiet
        Run quietly. Suppress any error output.

    -u, --userids
        The specified mailbox-names are users, not mailboxes. User metadata directories will also be relocated.

EXAMPLES

            relocate_by_id -u jsmith
        Relocate all mailbox and metadata directories for user jsmith.

FILES

/etc/imapd.conf, <configdirectory>/mailboxes.db

SEE ALSO

imapd.conf(5)

AUTHOR
The Cyrus Team, Ken Murchison (Fastmail)

COPYRIGHT
1993–2026, The Cyrus Team